package org.springblade.modules.yjjl.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.system.vo.DeptListVo;
import org.springblade.modules.yjjl.entity.YjjlEntity;
import org.springblade.modules.yjjl.excel.YjjlExcel;
import org.springblade.modules.yjjl.vo.YjjlVO;

import java.util.List;
import java.util.Map;

/**
 * 场所检查-移交记录 服务类
 *
 * @author BladeX
 * @since 2023-07-29
 */
public interface IYjjlService extends BaseService<YjjlEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param yjjl
	 * @return
	 */
	IPage<YjjlVO> selectYjjlPage(IPage<YjjlVO> page, YjjlVO yjjl);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<YjjlExcel> exportYjjl(Wrapper<YjjlEntity> queryWrapper);

	DeptListVo getJdDept(Map<String, Object> params);

	DeptListVo getHzXfDept(Map<String, Object> params);

	IPage<YjjlVO> getYjjlPage(IPage<YjjlVO> page, Map<String, Object> params);

	List<YjjlVO> getHistoryById(Map<String, Object> params);

	DeptListVo getFjDept(Map<String, Object> params);

	DeptListVo getXqxjw(Map<String, Object> params);

	YjjlVO selectBgsy(YjjlVO yjjlVO);

	DeptListVo getXfDept(Map<String, Object> params);
}
